JGraph X 1.3.0.0

## com.mxgraph.layout
Class mxCompactTreeLayout.Polygon

    java.lang.Object
      com.mxgraph.layout.mxCompactTreeLayout.Polygon

Enclosing class:
  mxCompactTreeLayout

    protected static class mxCompactTreeLayout.Polygon

extends java.lang.Object

Field Summary
`protected mxCompactTreeLayout.Polyline` `lowerHead`
`protected mxCompactTreeLayout.Polyline` `lowerTail`
`protected mxCompactTreeLayout.Polyline` `upperHead`
`protected mxCompactTreeLayout.Polyline` `upperTail`

Constructor Summary
`protected` `mxCompactTreeLayout.Polygon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lowerHead

    protected mxCompactTreeLayout.Polyline lowerHead

### lowerTail

    protected mxCompactTreeLayout.Polyline lowerTail

### upperHead

    protected mxCompactTreeLayout.Polyline upperHead

### upperTail

    protected mxCompactTreeLayout.Polyline upperTail

Constructor Detail

### mxCompactTreeLayout.Polygon

    protected mxCompactTreeLayout.Polygon()

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.